---
openapi: "3.0.0"
info:
  title: "EDIS public shipping API"
  description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
    \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
    \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
    color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
    \ This method is only available for Greater-China based sellers with an active\
    \ eDIS account.</p></div><br>This API allows 3rd party developers in the Greater-China\
    \ area to process package shipping details."
  contact:
    name: "eBay Inc,"
  license:
    name: "eBay API License Agreement"
    url: "https://developer.ebay.com/join/api-license-agreement"
  version: "1.1.0"
servers:
- url: "https://api.ebay.com{basePath}"
  description: "Production"
  variables:
    basePath:
      default: "/sell/edelivery_international_shipping/v1"
paths:
  /actual_costs:
    get:
      tags:
      - "actual_costs"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method is used to retrieve the actual weight\
        \ and cost for one or more packages based on the provided input criteria.<br><br>Responses\
        \ can be filtered by the <b>tracking_numbers</b> query parameter. If this\
        \ parameter is used, actual costs for each package associated with the provided\
        \ tracking numbers are returned.<br><br>Alternatively, responses can be filtered\
        \ by the <b>trans_begin_time</b> and <b>trans_end_time</b> query parameters.\
        \ If these parameters are used, the actual costs of all packages created within\
        \ this date range are returned.<br><br>Only one filtering method can be used\
        \ per call."
      operationId: "getActualCosts"
      parameters:
      - name: "tracking_numbers"
        in: "query"
        description: "This query parameter specifies the tracking number(s) of the\
          \ package(s) for which to retrieve the actual weight and cost. Tracking\
          \ numbers are returned when creating packages through the <a href=\"/api-docs/sell/edelivery_international_shipping/resources/package/methods/createPackage\"\
          \ target=\"_blank\">createPackage</a> method.<br><br>Up to 200 tracking\
          \ numbers can be provided.<br><br><span class=\"tablenote\"><b>Note:</b>\
          \ This query parameter is required if <b>trans_begin_time</b> and <b>trans_end_time</b>\
          \ is not provided.</span>"
        required: false
        schema:
          type: "string"
      - name: "trans_begin_time"
        in: "query"
        description: "This query parameter specifies the start time of a transaction\
          \ in UTC format.<br><br>If the the </b>trans_begin_time</b> and <b>trans_end_time</b>\
          \ query parameters are used, the actual costs of all packages created within\
          \ this date range are returned.<br><br><span class=\"tablenote\"><b>Note:</b>\
          \ This query parameter and <b>trans_end_time</b> are required if <b>tracking_numbers</b>\
          \ is not provided.</span><br><b>Format</b>: <code>YYYY-MM-DDTHH:MM:SS.SSSZ</code>"
        required: false
        schema:
          type: "string"
      - name: "trans_end_time"
        in: "query"
        description: "This query parameter specifies ending time of a transaction\
          \ in UTC format.<br><br>If the the </b>trans_begin_time</b> and <b>trans_end_time</b>\
          \ query parameters are used, the actual costs of all packages created within\
          \ this date range are returned.<br><br><span class=\"tablenote\"><b>Note:</b>\
          \ This query parameter and <b>trans_start_time</b> are required if <b>tracking_numbers</b>\
          \ is not provided.</span><br><b>Format</b>: <code>YYYY-MM-DDTHH:MM:SS.SSSZ</code>"
        required: false
        schema:
          type: "string"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/GetActualCostResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355069:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The date format of the trans_begin_time field is incorrect."
              355071:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The specified tracking number {tracking_number} does\
                  \ not belong to the seller, so cannot be retrieved."
              355070:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The date format of the trans_end_time field is incorrect."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /address_preference:
    get:
      tags:
      - "address_preference"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to retrieve information\
        \ about all the ship-from and/or return addresses associated with a seller's\
        \ eDIS account."
      operationId: "getAddressPreferences"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/GetAddressPreferenceListResponses"
        "400":
          description: "Bad Request"
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
    post:
      tags:
      - "address_preference"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to create an address\
        \ on your eDIS account.<br><br>The following types of addresses can be created\
        \ through this method:<ul><li><code>SHIP_FROM_ADDRESS</code></li><li><code>RETURN_ADDRESS</code></li></ul>The\
        \ address information for the address, including location details, contact\
        \ information, and address type, must be provided in the <b>shipFromAddress</b>\
        \ container. If the call is successful, the <b>addressId</b> for the newly\
        \ created address will be returned. This identifier can then be used when\
        \ creating a package to specify the address to use for the shipment."
      operationId: "createAddressPreference"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/CreateAddressPreferenceRequest"
        required: false
      responses:
        "201":
          description: "Created"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/CreateAddressPreferenceResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355073:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Invalid input value for province. Please revise it."
              355072:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Invalid input value for countrycode. Please revise it."
              355075:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Invalid input value for district. Please revise it."
              355074:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Invalid input value for city. Please revise it."
              355002:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Length of street can not be greater than 50. Please\
                  \ revise it."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355049:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "Connection failed with logistic service provider system.\
                  \ Please wait and retry."
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /agents:
    get:
      tags:
      - "agents"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to retrieve information\
        \ about the EU Authorized Representative (AR) agent(s) associated with a seller's\
        \ eDIS account.<br><br>An EU AR agent acts as a liaison between non-EU manufacturers\
        \ and European regulatory authorities to ensure compliance with EU regulations.\
        \ This method returns contact information about each agent, as well as their\
        \ eBay ID and the countries that they support."
      operationId: "getAgents"
      parameters:
      - name: "limit"
        in: "query"
        description: "This query parameter sets the maximum number of agents to return\
          \ on each page of the paginated response.<br><br>Use this parameter in conjunction\
          \ with the <b>offset</b> parameter to control the pagination of the output.\
          \ For example, if <b>offset</b> is set to <code>10</code> and <b>limit</b>\
          \ is set to <code>10</code>, the call retrieves orders 11 through 20 from\
          \ the result set.<br><br><b>Max</b>: <code>200</code><br><br><b>Default</b>:\
          \ <code>50</code>"
        required: false
        schema:
          type: "string"
      - name: "offset"
        in: "query"
        description: "This query parameter specifies the number of agents to skip\
          \ in the result set before returning the first agent in the paginated response.<br><br>Combine\
          \ <b>offset</b> with the <b>limit</b> query parameter to control the items\
          \ returned in the response. For example, if you supply an <b>offset</b>\
          \ of <code>0</code> and a <b>limit</b> of <code>10</code>, the first page\
          \ of the response contains the first 10 items from the complete list of\
          \ items retrieved by the call.<br><br><b>Default</b>: <code>0</code>"
        required: false
        schema:
          type: "string"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/GetAgentListResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355076:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Invalid input value of pagination parameters. Please\
                  \ revise them."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /battery_qualifications:
    get:
      tags:
      - "battery_qualifications"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method is used to retrieve all battery qualifications\
        \ associated with your eDIS account. This includes the type, electronic qualification\
        \ ID and name, and expiration date for each battery."
      operationId: "getBatteryQualifications"
      parameters:
      - name: "limit"
        in: "query"
        description: "This query parameter sets the maximum number of qualifications\
          \ to return on each page of the paginated response.<br><br>Use this parameter\
          \ in conjunction with the <b>offset</b> parameter to control the pagination\
          \ of the output. For example, if <b>offset</b> is set to <code>10</code>\
          \ and <b>limit</b> is set to <code>10</code>, the call retrieves orders\
          \ 11 through 20 from the result set.<br><br><b>Max</b>: <code>200</code><br><br><b>Default</b>:\
          \ <code>50</code>"
        required: false
        schema:
          type: "string"
      - name: "offset"
        in: "query"
        description: "This query parameter specifies the number of qualifications\
          \ to skip in the result set before returning the first qualification in\
          \ the paginated response.<br><br>Combine <b>offset</b> with the <b>limit</b>\
          \ query parameter to control the items returned in the response. For example,\
          \ if you supply an <b>offset</b> of <code>0</code> and a <b>limit</b> of\
          \ <code>10</code>, the first page of the response contains the first 10\
          \ items from the complete list of items retrieved by the call.<br><br><b>Default</b>:\
          \ <code>0</code>"
        required: false
        schema:
          type: "string"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/GetBatteryQualListResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355076:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Invalid input value of pagination parameters. Please\
                  \ revise them."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /bundle/{bundle_id}/cancel:
    post:
      tags:
      - "bundle"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method is used to cancel a bundle.<br><br>The\
        \ <b>bundleId</b> value of the bundle to be canceled must be input as a path\
        \ parameter in the request. <br><br><span class=\"tablenote\"><b>Note:</b>\
        \ Bundles cannot be canceled if they are currently being processed.</span>"
      operationId: "cancelBundle"
      parameters:
      - name: "bundle_id"
        in: "path"
        description: "This path parameter specifies the unique identifier of the bundle\
          \ being canceled.<br><br>This ID value is returned when creating a bundle\
          \ through the <a href=\"/api-docs/sell/edelivery_international_shipping/resources/bundle/methods/createBundle\"\
          \ target=\"_blank\">createBundle</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355083:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Missing or invalid bundle_id value."
              355082:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "No permission to access requested data."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "204":
          description: "No Content"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /bundle:
    post:
      tags:
      - "bundle"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method is used to create a bundle for multiple\
        \ packages in an order.<br><br>To create a bundle, the consign address to\
        \ be associated with the bundle and the tracking numbers of the packages to\
        \ be used in the bundle must be specified in the request. <br><br>If the call\
        \ is successful, the <b>bundleId</b> for the newly created bundle will be\
        \ returned.<br><br><span class=\"tablenote\"><b>Note:</b> Sellers should keep\
        \ track of the returned <b>bundleId</b>, as there is no programmatic way to\
        \ retrieve this value at this time.</span>"
      operationId: "createBundle"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/CreateBundleRequest"
        required: false
      responses:
        "201":
          description: "Created"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/CreateBundleResponse"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355079:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Missing tracking numbers. Please check."
              355078:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Missing consign preference ID. Please check."
              355081:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Total weight exceeded. Please check."
              355080:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Please choose packages with same consign preference\
                  \ option."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /bundle/{bundle_id}:
    get:
      tags:
      - "bundle"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method is used to retrieved information\
        \ about a specific bundle based on the provided bundle ID value.<br><br>The\
        \ <b>bundle_id</b> value of the bundle to be retrieved must be input as a\
        \ path parameter in the request. If the call is successful, information about\
        \ the bundle is returned, such as its associated consign preference ID and\
        \ the tracking numbers of each package in the bundle."
      operationId: "getBundle"
      parameters:
      - name: "bundle_id"
        in: "path"
        description: "This path parameter specifies the unique identifier of the bundle\
          \ being retrieved.<br><br>This ID value is returned when creating a bundle\
          \ through the <a href=\"/api-docs/sell/edelivery_international_shipping/resources/bundle/methods/createBundle\"\
          \ target=\"_blank\">createBundle</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/BundleDetailResponse"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355083:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Missing or invalid bundle_id value."
              355082:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "No permission to access requested data."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /bundle/{bundle_id}/label:
    get:
      tags:
      - "bundle"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to retrieve the bundle\
        \ label for a bundle of packages.<br><br>The bundle for which to retrieve\
        \ a bundle label is specified through the <b>bundleId</b> path parameter.<br><br>Bundle\
        \ labels will be returned as base64 string values which can be converted to\
        \ PDF files."
      operationId: "getBundleLabel"
      parameters:
      - name: "bundle_id"
        in: "path"
        description: "This path parameter specifies the unique identifier of the bundle\
          \ for which to retrieve a label.<br><br>This ID value is returned when creating\
          \ a bundle through the <a href=\"/api-docs/sell/edelivery_international_shipping/resources/bundle/methods/createBundle\"\
          \ target=\"_blank\">createBundle</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/BundleLabelResponse"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355083:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Missing or invalid bundle_id value."
              355082:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "No permission to access requested data."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /complaint:
    post:
      tags:
      - "complaint"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to create a complaint\
        \ about a shipment order. Complaints can be filed if there is a pickup delay\
        \ on an order or if an item has been lost in transit.<br><br>The complaint\
        \ reason, complaint type, and the date the issue occurred must be specified\
        \ in the request. If the complaint is being filed for a missing package, the\
        \ affected <b>packageId</b> values must also be specified in the <b>affectedPackages</b>\
        \ array.<br><br>If the call was successful, HTTP status code <b>201 Created</b>\
        \ will be returned, and the complaint will be created."
      operationId: "createComplaint"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/AddComplaintRequest"
        required: false
      responses:
        "201":
          description: "Created"
          content:
            application/json:
              schema:
                type: "object"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355060:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Complaint submission is declined on logistic service\
                  \ provider side. Please contact customer service for help."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /consign_preference:
    get:
      tags:
      - "consign_preference"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to retrieve information\
        \ about all the pickup, drop-off, and/or forward deployment consign addresses\
        \ associated with a seller's eDIS account."
      operationId: "getConsignPreferences"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/GetConsignPreferenceListResponses"
        "400":
          description: "Bad Request"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
    post:
      tags:
      - "consign_preference"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to create a consign address.<br><br>The\
        \ following types of address preferences can be created via this method:<ul><li><code>PICK_UP</code></li><li><code>DROP_OFF</code></li><li><code>FORWARD_DEPLOYMENT</code></li><li><code>RDC</code></li><li><code>CN_POST_DROP_OFF</code></li><li><code>CN_POST_PICK_UP</code></li><li><code>HK_POST_DROP_OFF</code></ul>The\
        \ address information for the consign address must be provided in the <b>consignAddress</b>\
        \ container. If the call is successful, the <b>addressId</b> for the newly\
        \ created address will be returned. This ID can then be used when creating\
        \ a package to specify the consign address to use for the shipment."
      operationId: "createConsignPreference"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/CreateConsignPreferenceRequest"
        required: false
      responses:
        "201":
          description: "Created"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/CreateConsignPreferenceResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355057:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Missing address ID of dropoff site. Please check."
              355056:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Missing request period. Please check."
              355058:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Shipping preference name already exists. Please add\
                  \ a new name."
              355053:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Connection failed with backend service. Please wait\
                  \ and retry."
              355055:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Missing package address. Please check."
              355051:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "pickupTime is missing. Please check."
              355050:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Invalid value for type. Please check the document."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /dropoff_sites:
    get:
      tags:
      - "dropoff_sites"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to retrieve metadata\
        \ for one or more drop-off sites associated with a seller's eDIS account.<br><br>Pagination\
        \ query parameters are provided that allow users to control how many drop-off\
        \ site locations are returned in the response."
      operationId: "getDropoffSites"
      parameters:
      - name: "limit"
        in: "query"
        description: "This query parameter sets the maximum number of drop-off site\
          \ locations to return on each page of the paginated response.<br><br>Use\
          \ this parameter in conjunction with the <b>offset</b> parameter to control\
          \ the pagination of the output. For example, if <b>offset</b> is set to\
          \ <code>10</code> and <b>limit</b> is set to <code>10</code>, the call retrieves\
          \ orders 11 through 20 from the result set.<br><br><b>Max</b>: <code>200</code><br><br><b>Default</b>:\
          \ <code>50</code>"
        required: false
        schema:
          type: "string"
      - name: "offset"
        in: "query"
        description: "This query parameter specifies the number of drop-off site locations\
          \ to skip in the result set before returning the first location in the paginated\
          \ response.<br><br>Combine <b>offset</b> with the <b>limit</b> query parameter\
          \ to control the items returned in the response. For example, if you supply\
          \ an <b>offset</b> of <code>0</code> and a <b>limit</b> of <code>10</code>,\
          \ the first page of the response contains the first 10 items from the complete\
          \ list of items retrieved by the call.<br><br><b>Default</b>: <code>0</code>"
        required: false
        schema:
          type: "string"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/GetDropoffSiteListResponses"
        "400":
          description: "Bad Request"
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /handover_sheet:
    get:
      tags:
      - "handover_sheet"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to retrieve the handover\
        \ sheet for one or more packages in a pickup request.<br><br>The tracking\
        \ numbers for the packages for which to retrieve handover sheets are specified\
        \ through the <b>tracking_numbers</b> query parameter.<br><br>The retrieved\
        \ handover sheet will be returned as a base64 string value, and can be used\
        \ for confirmation with a pickup contact. Only one handover sheet will be\
        \ returned for the specified packages."
      operationId: "getHandoverSheet"
      parameters:
      - name: "tracking_numbers"
        in: "query"
        description: "This query parameter specifies an array of tracking numbers\
          \ for the packages for which to retrieve a handover sheet.<br><br>Tracking\
          \ numbers are returned when creating packages through the <a href=\"/api-docs/sell/edelivery_international_shipping/resources/package/methods/createPackage\"\
          \ target=\"_blank\">createPackage</a> method.<br><br>Up to 200 tracking\
          \ numbers can be provided. Multiple tracking numbers can be input as individual\
          \ query parameters. For example,<br><br><code>tracking_numbers=E***********************N&tracking_numbers=E***********************Q</code>"
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/GetHandoverSheetResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355068:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The specified tracking number {tracking_number} is not\
                  \ recognized. Please check and try again."
              355067:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The field tracking_numbers is required."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /labels:
    get:
      tags:
      - "labels"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to retrieve shipping\
        \ labels for the one or more specified packages.<br><br>The packages for which\
        \ to retrieve shipping labels can be specified through the <b>tracking_numbers</b>\
        \ query parameter. The page size and print preference settings for the shipping\
        \ label(s) can also be specified through the query parameters.<br><br>Shipping\
        \ labels are returned as base64 string values which can be converted to PDF\
        \ files. A separate file will be returned for each tracking number specified\
        \ in the request."
      operationId: "getLabels"
      parameters:
      - name: "page_size"
        in: "query"
        description: "This query parameter specifies the page size of the retrieved\
          \ shipping labels.<br><br><b>Valid values</b>:<ul><li><code>A4</code></li><li><code>THERMAL_PAPER</code></li></ul>"
        required: false
        schema:
          type: "string"
      - name: "print_preference"
        in: "query"
        description: "This query parameter specifies one or more printing preferences\
          \ to be set when retrieving shipping labels. Multiple values can be delimited\
          \ by a comma.<br><br><b>Valid values</b>:<ul><li><code>nameZh</code></li><li><code>nameEn</code></li><li><code>remark</code></li><li><code>skuPrice</code></li><li><code>skuNo</code></li><li><code>quantity</code></li><li><code>listingId</code></li><li><code>sellerId</code></li><li><code>buyerId</code></li></ul>"
        required: false
        schema:
          type: "string"
      - name: "tracking_numbers"
        in: "query"
        description: "This query parameter specifies an array of tracking numbers\
          \ of the packages for which to retrieve shipping labels.<br><br>Tracking\
          \ numbers are returned when creating packages through the <a href=\"/api-docs/sell/edelivery_international_shipping/resources/package/methods/createPackage\"\
          \ target=\"_blank\">createPackage</a> method.<br><br>Up to 200 tracking\
          \ numbers can be provided. Multiple tracking numbers can be input as individual\
          \ query parameters.For example,<br><br><code>tracking_numbers=E***********************N&tracking_numbers=E***********************Q</code>"
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/GetLabelListResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355077:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Invalid input value for page setting parameters. Please\
                  \ revise it."
              355004:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The specified tracking number {tracking_number} is not\
                  \ recognized. Please check and try again."
              355071:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The specified tracking number {tracking_number} does\
                  \ not belong to the seller, so cannot be retrieved."
              355067:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The field tracking_numbers is required."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /package/bulk_cancel_packages:
    post:
      tags:
      - "package"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to cancel multiple packages\
        \ and their associated tracking numbers.<br><br>The package ID values for\
        \ the packages to be canceled must be input in the <b>packageIds</b> array\
        \ of the request.<br><br><span class=\"tablenote\"><b>Note:</b> Packages cannot\
        \ be cancelled if they are currently being processed.</span> "
      operationId: "bulkCancelPackages"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/CancelPackagesRequest"
        required: false
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/CancelPackagesResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355044:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Cancel failed on logistic service provider side. Please\
                  \ contact logistic customer service for help."
              355042:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The package cannot be cancelled due to its current status.\
                  \ Please check status and try again."
              355037:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Invalid packageId {packageId}. Please verify and try\
                  \ again."
              355004:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The specified packageId {packageId} is not recognized.\
                  \ Please check and try again."
              355036:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Package processing. Please try again later."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /package/bulk_confirm_packages:
    post:
      tags:
      - "package"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to confirm the shipping\
        \ order for multiple packages.<br><br>The package ID values for the packages\
        \ to be confirmed must be input in the <b>packageIds</b> array of the request.<br><br>After\
        \ a package is confirmed, the estimated cost will be frozen in your wallet\
        \ and the pickup request will be submitted."
      operationId: "bulkConfirmPackages"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/ConfirmPackagesRequest"
        required: false
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ConfirmPackagesResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355040:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The package cannot be confirmed due to missing or invalid\
                  \ tracking number. Please add tracking number for package and try\
                  \ again."
              355037:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Unrecognized packageId. Please check."
              355004:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The specified packageId {packageId} is not recognized.\
                  \ Please check and try again."
              355036:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Package processing. Please try again later."
              355039:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The package cannot be confirmed due to missing or invalid\
                  \ battery qualification. Please update battery qualification and\
                  \ try again."
              355038:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The package cannot be confirmed due to its current status.\
                  \ Please check the status and try again."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /package/bulk_delete_packages:
    post:
      tags:
      - "package"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to delete multiple packages.<br><br>The\
        \ package ID values for the packages to be deleted must be input in the <b>packageIds</b>\
        \ array of the request.<br><br><span class=\"tablenote\"><b>Note:</b> Packages\
        \ can only be deleted once they have been cancelled through the <b>cancelPackage</b>\
        \ or <b>bulkCancelPackages</b> methods and no longer have a tracking number\
        \ associated with them.</span>"
      operationId: "bulkDeletePackages"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/DeletePackagesRequest"
        required: false
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/DeletePackagesResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355004:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The specified packageId {packageId} is not recognized.\
                  \ Please check and try again."
              355064:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The package cannot be deleted due to its current status.\
                  \ Please check the status and try again."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /package/{package_id}/cancel:
    post:
      tags:
      - "package"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to cancel a package and\
        \ its associated tracking number.<br><br>The <b>packageId</b> value of the\
        \ package to be canceled must be input as a path parameter in the request.<br><br><span\
        \ class=\"tablenote\"><b>Note:</b> Packages cannot be canceled if they are\
        \ currently being processed.</span>"
      operationId: "cancelPackage"
      parameters:
      - name: "package_id"
        in: "path"
        description: "This path parameter specifies the unique identifier of the package\
          \ being canceled.<br><br>This ID value is returned when creating a package\
          \ through the <a href=\"/api-docs/sell/edelivery_international_shipping/resources/package/methods/createPackage\"\
          \ target=\"_blank\">createPackage</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355044:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Cancel failed on logistic service provider side. Please\
                  \ contact logistic customer service for help."
              355042:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The package cannot be cancelled due to its current status.\
                  \ Please check status and try again."
              355037:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Invalid packageId {packageId}. Please verify and try\
                  \ again."
              355004:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The specified packageId {packageId} is not recognized.\
                  \ Please check and try again."
              355036:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Package processing. Please try again later."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
        "204":
          description: "No Content"
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /package/{package_id}/clone:
    post:
      tags:
      - "package"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to clone a package for\
        \ redelivery, resending the package with the same information input during\
        \ the <b>createPackage</b> call.<br><br>The <b>packageId</b> value of the\
        \ package to be cloned must be input as a path parameter in the request."
      operationId: "clonePackage"
      parameters:
      - name: "package_id"
        in: "path"
        description: "This path parameter specifies the <b>packageId</b> value of\
          \ the package to be cloned.<br><br>This ID value is returned when creating\
          \ a package through the <a href=\"/api-docs/sell/edelivery_international_shipping/resources/package/methods/createPackage\"\
          \ target=\"_blank\">createPackage</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "201":
          description: "Created"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ClonePackageResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355045:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Current package status does not support re-ship function.\
                  \ Please check."
              355046:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "This package have exceeded the limit of re-ship times."
              355004:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The specified packageId {packageId} is not recognized.\
                  \ Please check and try again."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /package/{package_id}/confirm:
    post:
      tags:
      - "package"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to confirm the shipping\
        \ order for a package.<br><br>The <b>packageId</b> value of the package to\
        \ be confirmed must be input as a path parameter in the request.<br><br>After\
        \ confirmation the estimated cost will be frozen in your wallet and the pickup\
        \ request will be submitted."
      operationId: "confirmPackage"
      parameters:
      - name: "package_id"
        in: "path"
        description: "This path parameter specifies the unique identifier of the package\
          \ you wish to be confirmed.<br><br>This ID value is returned when creating\
          \ a package through the <a href=\"/api-docs/sell/edelivery_international_shipping/resources/package/methods/createPackage\"\
          \ target=\"_blank\">createPackage</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355041:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Package processing. Please try again later."
              355040:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The package cannot be confirmed due to missing or invalid\
                  \ tracking number. Please add tracking number for package and try\
                  \ again."
              355037:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Unrecognized packageId. Please check."
              355004:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The specified packageId {packageId} is not recognized.\
                  \ Please check and try again."
              355036:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Package processing. Please try again later."
              355039:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The package cannot be confirmed due to missing or invalid\
                  \ battery qualification. Please update battery qualification and\
                  \ try again."
              355038:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The package cannot be confirmed due to its current status.\
                  \ Please check the status and try again."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "204":
          description: "No Content"
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /package:
    post:
      tags:
      - "package"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to create a package for\
        \ an order.<br><br>To create a package, the package's shipping information,\
        \ such as the dimensions, weight, ship from, and ship to address, as well\
        \ as information about the item(s) it contains must be specified in the request.<br><br>If\
        \ the call is successful, the <b>packageId</b> and tracking number for the\
        \ newly created package will be returned.<br><br><span class=\"tablenote\"\
        ><b>Note:</b> Sellers should keep track of the returned <b>packageId</b>,\
        \ as there is no programmatic way to retrieve this value at this time.</span>"
      operationId: "createPackage"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/AddPackageRequest"
        required: false
      responses:
        "201":
          description: "Created"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/AddPackageResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355013:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The fdcSkus array cannot be empty. Please include this\
                  \ array and add at least one sku and associated quantity for that\
                  \ sku."
              355012:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "ServiceId does not exist. Please check the document."
              355015:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Each sku under fdcSkus array requires skuId and quantity.\
                  \ Please revise them."
              355014:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "You have exceeded the maximum amount of skus allowed\
                  \ under the fdcSkus array."
              355009:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Order not synced to system yet. Please wait and retry."
              355008:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "OrderLineItem is not matched to your ebayID. Please\
                  \ check."
              355011:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Order has not been paid. Please check."
              355021:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The status of elecQualificationId is not avaliable.\
                  \ Please check."
              355020:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Your elecQualificationId does not exist. Please check\
                  \ your qualification list.\t"
              355023:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "LiBatteryType is not matched to battery qualification."
              355022:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Your elecQualificationId is expired. Please update a\
                  \ new one."
              355017:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Length of skuId can not be greater than 50. Please revise\
                  \ it."
              355016:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The skus array has one or more duplicate skuId values.\
                  \ Please remove duplicate skus."
              355019:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "User T&C update. Please sign the updated version of\
                  \ the Letter of Commitment for Lithium Battery items."
              355018:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The SPECIAL_GOODS_WITH_NO_BATTERY enum value is only\
                  \ allowed when miniPackage is specified as the packagingType value."
              355063:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "AgentName or agentAddress is missing. Please revise\
                  \ them."
              355031:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Account balance is not enough to pay for the package.\
                  \ Please add sufficient funds to balance and try again."
              355030:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The seller's balance could not be accessed to to pay\
                  \ for the package. Please contact logistics customer service for\
                  \ help."
              355025:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "ServiceId not available. Please revise it and retry."
              355024:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "No available shipping service found. Please revise package\
                  \ information and retry."
              355026:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Package is now under processing. Please retry later."
              355005:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "OrderLineItem {orderLineItemId} has already been assigned\
                  \ to another package, so cannot be added to this one."
              355003:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Our current system setting is not allowing you to add\
                  \ packages via API. Please change your settings to ‘ship via API’\
                  \ and try again."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
              355066:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "Concurrent actions on same orderLineItem. Please wait\
                  \ and retry."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /package/{package_id}:
    get:
      tags:
      - "package"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to retrieve a package\
        \ based on the provided package ID value.<br><br>The <b>packageId</b> value\
        \ of the package to be retrieved must be input as a path parameter in the\
        \ request. If the call is successful, information about the package is returned,\
        \ such as the package's shipping information (its dimensions, weight, ship\
        \ from, and ship to address) and information about the item(s) it contains."
      operationId: "getPackage"
      parameters:
      - name: "package_id"
        in: "path"
        description: "This path parameter specifies the unique identifier of the package\
          \ being retrieved.<br><br>This ID value is returned when creating a package\
          \ through the <a href=\"/api-docs/sell/edelivery_international_shipping/resources/package/methods/createPackage\"\
          \ target=\"_blank\">createPackage</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/GetPackageDetailResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355004:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The specified packageId {packageId} is not recognized.\
                  \ Please check and try again."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
    delete:
      tags:
      - "package"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to delete a package.<br><br>The\
        \ <b>packageId</b> value of the package to be deleted must be input as a path\
        \ parameter in the request. If the call is successful, HTTP status code <b>204\
        \ No Content</b> will be returned, and the package will be deleted.<br><br><span\
        \ class=\"tablenote\"><b>Note:</b> Packages can only be deleted once they\
        \ have been cancelled through the <b>cancelPackage</b> or <b>bulkCancelPackages</b>\
        \ methods and no longer have a tracking number associated with them.</span>"
      operationId: "deletePackage"
      parameters:
      - name: "package_id"
        in: "path"
        description: "This path parameter specifies the unique identifier of the package\
          \ being deleted. This package must already be cancelled and have no tracking\
          \ number associated with it.<br><br>This ID value is returned when creating\
          \ a package through the <a href=\"/api-docs/sell/edelivery_international_shipping/resources/package/methods/createPackage\"\
          \ target=\"_blank\">createPackage</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355004:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The specified packageId {packageId} is not recognized.\
                  \ Please check and try again."
              355064:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The package cannot be deleted due to its current status.\
                  \ Please check the status and try again."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "204":
          description: "No Content"
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /package/{order_line_item_id}/item:
    get:
      tags:
      - "package"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to retrieve one or more\
        \ packages based on the provided order line item ID.<br><br>This method can\
        \ be followed up with <a href=\"/api-docs/sell/edelivery_international_shipping/resources/package/methods/getPackage\"\
        \ target=\"_blank\">getPackage</a> call to retrieve more detailed information\
        \ about a specific package."
      operationId: "getPackagesByLineItemID"
      parameters:
      - name: "order_line_item_id"
        in: "path"
        description: "This path parameter can be used to specify the unique identifier\
          \ of the line item that is part of the package being retrieved.<br><br>This\
          \ value is returned in the <b>lineItemId</b> field of the <a href=\"/api-docs/sell/fulfillment/resources/order/methods/getOrders\"\
          \ target=\"_blank\">getOrders</a> method of the <b>Fulfillment API</b> or\
          \ the <a href=\"/devzone/xml/docs/reference/ebay/GetOrders.html\" target=\"\
          _blank\">GetOrders</a> method of the <b>Trading API</b>."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/GetItemPackageIdResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355062:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Invalid orderLineItemId {orderLineitemId}. Please verify\
                  \ and try again."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /services:
    get:
      tags:
      - "services"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to retrieve metadata\
        \ on available shipping services, such as the name, description, and directions."
      operationId: "getServices"
      parameters:
      - name: "limit"
        in: "query"
        description: "This query parameter sets the maximum number of shipping services\
          \ to return on each page of the paginated response.<br><br>Use this parameter\
          \ in conjunction with the <b>offset</b> parameter to control the pagination\
          \ of the output. For example, if <b>offset</b> is set to <code>10</code>\
          \ and <b>limit</b> is set to <code>10</code>, the call retrieves orders\
          \ 11 through 20 from the result set.<br><br><b>Max</b>: <code>200</code><br><br><b>Default</b>:\
          \ <code>50</code>"
        required: false
        schema:
          type: "string"
      - name: "offset"
        in: "query"
        description: "This query parameter specifies the number of shipping services\
          \ to skip in the result set before returning the first shipping service\
          \ in the paginated response.<br><br>Combine <b>offset</b> with the <b>limit</b>\
          \ query parameter to control the items returned in the response. For example,\
          \ if you supply an <b>offset</b> of <code>0</code> and a <b>limit</b> of\
          \ <code>10</code>, the first page of the response contains the first 10\
          \ items from the complete list of items retrieved by the call.<br><br><b>Default</b>:\
          \ <code>0</code>"
        required: false
        schema:
          type: "string"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/GetServiceListResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355076:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "Invalid input value of pagination parameters. Please\
                  \ revise them."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
  /tracking:
    get:
      tags:
      - "tracking"
      description: "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\"\
        \ data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important!\
        \ &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"\
        color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>\
        \ This method is only available for Greater-China based sellers with an active\
        \ eDIS account.</p></div><br>This method can be used to retrieve tracking\
        \ event details for a package associated with the provided tracking number.<br><br>Each\
        \ tracking event is returned in the <b>trackingDetails</b> array and includes\
        \ the description, location, time, and status of the event."
      operationId: "getTracking"
      parameters:
      - name: "tracking_number"
        in: "query"
        description: "This query parameter specifies the tracking number for which\
          \ to retrieve current tracking event details.<br><br>This value is returned\
          \ when creating a package through the <a href=\"/api-docs/sell/edelivery_international_shipping/resources/package/methods/createPackage\"\
          \ target=\"_blank\">createPackage</a> method."
        required: true
        schema:
          type: "string"
      responses:
        "200":
          description: "OK"
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/GetTrackingDetailResponses"
        "400":
          description: "Bad Request"
          x-response-codes:
            errors:
              355004:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The specified tracking number {tracking_number} is not\
                  \ recognized. Please check and try again."
        "401":
          description: "Unauthorized"
          x-response-codes:
            errors:
              355400:
                domain: "API_EDIS"
                category: "REQUEST"
                description: "The access token provided in the Authorization header\
                  \ is not for an eBay user account that is currently allowed to call\
                  \ this API. Please go to account settings to add to your account\
                  \ list."
        "500":
          description: "Internal Server Error"
          x-response-codes:
            errors:
              355000:
                domain: "API_EDIS"
                category: "APPLICATION"
                description: "There was a problem with an eBay internal system or\
                  \ process. Contact eBay developer support for assistance."
        "404":
          description: "Not found"
      security:
      - api_auth:
        - "https://api.ebay.com/oauth/scope/sell.edelivery"
components:
  schemas:
    AddComplaintRequest:
      type: "object"
      properties:
        complaintRequest:
          description: "This container is used to specify the information included\
            \ in a complaint request, such as the complaint reason, date, and type."
          $ref: "#/components/schemas/AddComplaintRequestData"
      description: "This type is used to define the request container of the <b>createComplaint</b>\
        \ method."
    AddComplaintRequestData:
      type: "object"
      properties:
        affectedPackages:
          type: "array"
          description: "This array specifies a list of packages, specified by their\
            \ <b>packageId</b>, affected by the issue causing the complaint.<br><br>Package\
            \ ID values are returned when creating a package through the <a href=\"\
            /api-docs/sell/edelivery_international_shipping/resources/package/methods/createPackage\"\
            \ target=\"_blank\">createPackage</a> method<br><br>This array is required\
            \ if the complaint being filed is for a missing package."
          items:
            type: "string"
        complaintDate:
          type: "string"
          description: "The date in which the issue associated with the complaint\
            \ occurred.<br><br><b>Format:</b> <code>YYYY-MM-DDTHH:MM:SS.SSSZ</code> "
        complaintReason:
          type: "string"
          description: "This string specifies the reason the complaint was filed.<br><br><b>Max\
            \ length</b>: 200 characters"
        complaintType:
          type: "string"
          description: "The type of complaint being filed.<br><br><b>Valid values</b>:<ul><li><code>ABNORMAL_COLLECTION_COMPLAINT</code></li><li><code>LOST_PACKAGE_COMPLAINT</code></li></ul>\
            \ For implementation help, refer to <a href='https://developer.ebay.com/api-docs/sell/edelivery_international_shipping/types/api:ComplaintTypeEnum'>eBay\
            \ API documentation</a>"
        preferenceId:
          type: "integer"
          description: "The unique identifier of the address associated with the complaint.<br><br>This\
            \ field is required if the complain being filed is associated with a specific\
            \ address."
          format: "int32"
        remark:
          type: "string"
          description: "A remark to the seller themselves."
[...]
